Bug 340667 - Add "sort By" rating option
Summary: Add "sort By" rating option
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-05 16:43 UTC by David M
Modified: 2018-06-23 22:20 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David M 2014-11-05 16:43:39 UTC
Apologies if this is the wrong place for wishlist items.  I couldn't find a better place for it.
I would like to request an option in the menu for sorting by rating (with baloo) as Dolphin allows for.  

Thank you.

Reproducible: Always
Comment 1 null 2018-06-23 22:20:24 UTC
Git commit faa19b06b14eb2e6c74b6c88f170f5c66a77b80a by Henrik Fehlauer, on behalf of Farid Boudedja.
Committed on 23/06/2018 at 22:03.
Pushed by rkflx into branch 'master'.

Add possibility to sort by rating

Summary:
Gwenview allows to rate images but there is no option to sort images by rating.

Add 'Rating' as a sorting option to Gwenview's SortedDirModel.
Add 'Rating' to Gwenview's 'Sort By' menu.
Add 'Rating' to Gwenview's 'Sorting' configuration entry.

Depends on: D13669

Test Plan:
- Give specific ratings to some images in Gwenview.
- Click {nav View > Sort By > Rating}.
- The images should be sorted according to their ratings.

Reviewers: #gwenview, rkflx

Reviewed By: #gwenview, rkflx

Subscribers: muhlenpfordt, rkflx, broulik

Differential Revision: https://phabricator.kde.org/D13344

M  +14   -0    app/browsemainpage.cpp
M  +1    -0    lib/gwenviewconfig.kcfg
M  +16   -5    lib/semanticinfo/sorteddirmodel.cpp
M  +4    -1    lib/sorting.h

https://commits.kde.org/gwenview/faa19b06b14eb2e6c74b6c88f170f5c66a77b80a